# 12. Mutación: generar "ZonesMap" basado en suelo de forma asíncrona

Generar "MapaDeZonas" basado en el suelo para el "Campo" **de forma asíncrona**.

{% hint style="info" %}
El enfoque asincrónico pone una tarea (Generate `generarMapaDeAnalisisVectorialSuelo`) para procesar y la Suscripción se recibirá tan pronto como el procesamiento haya terminado.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación GenerarMapaZonasSueloAsync {
  generarMapaDeAnalisisVectorialSueloAsync(entrada: {
    fieldUuid: "<placeholder_of_field_uuid>"
    nombre: "rejilla suelo arcilla"
    numeroDeZonas: 7
    atributoSuelo: "arcilla"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
  }) {
    uuid
    fieldUuid
    statusCode
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/12.-mutacion-generar-zonesmap-basado-en-suelo-de-forma-asincrona.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
